---
- name: Clear old network connection.
  hosts: myNewHosts
#    - "{{ ip_address  }}"
  become: true
  vars_files: 
    - 00_myvars_config.yml

  tasks:
  - name: Clear
#    command: nmcli connection delete "{{ item }}"
    nmcli:
      state: absent
      type: ethernet
      conn_name: "{{ item }}"
    with_items: "{{ old_conname }}"
    ignore_errors: true
    notify: Restart network

  handlers:
    - name: Restart network
      service:
        name: NetworkManager
        state: restarted
